import 'dart:convert';

import 'package:test/test.dart';
import 'package:yona/yona.dart';

void main() async {
  test("simple", () async {
    var sk = await Crypto.genSK();
    var name = base64UrlEncode(await Crypto.randBytes(33));
    await Verival.publish(PeerInfo(NetAddr(0, ""),  name,DateTime.now().add(Duration(seconds: 1))), sk);
    var data = await Verival.lookup(Crypto.derivePK(sk), Duration(seconds: 5));
    assert(data.name == name);
  });
}
